Method: services.list

Lists all VPC-SC supported services.

HTTP request

GET https://accesscontextmanager.googleapis.com/v1alpha/services

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

This flag specifies the maximum number of services to return per page. Default value is 100.

pageToken

string

Use this token to retrieve a specific page of results. Default is the first page.

Request body

The request body must be empty.

Response body

A response to ListSupportedServicesRequest.

If successful, the response body contains data with the following structure:

JSON representation
{
  "supportedServices": [
    {
      object (SupportedService)
    }
  ],
  "nextPageToken": string
}
Fields
supportedServices[]

object (SupportedService)

List of services supported by VPC-SC instances.

nextPageToken

string

Use this pagination token to retrieve the next page of results. An empty value indicates that no further results are available.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.